Subject: [Hipsec] regarding IANA sections in bis documents

From: Tom Henderson <[email-masked]>
Date: Fri, 8 Jul 2016 08:53:14 -0700 (PDT)

> On Wed, Jul 6, 2016 at 11:31 AM, Alexey Melnikov <[email-masked]> wrote:
>> Alexey Melnikov has entered the following ballot position for
>> draft-ietf-hip-rfc5204-bis-07: Discuss
>> ----------------------------------------------------------------------
>> DISCUSS:
>> ----------------------------------------------------------------------
>>
>> The IANA considerations section does not seem to stand alone without
>> reading RFC 5204. As you are obsoleting RFC 5204, readers shouldn't be
>> expected to read it in order to discover original IANA instructions.
>> I think you should copy information from RFC 5204.
>>

On 07/08/2016 07:17 AM, Julien Laganier wrote:
> Hi Alexey,
> 
> The IANA Considerations used to be a copy of RFC 5204 but someone
> asked that it be cleaned up. I will copy it back in the next revision.
> 
> Thanks.
> 
> --julien

I was probably the person suggesting the current writeup, based on my previous interaction with IANA regarding RFC 7401 publication.

Before making any IANA section changes, I would like to ask for further clarification, because it seems to me that the guidance being given now conflicts with instructions we received from IANA when revising RFC 5201 to become RFC 7401.

When RFC 5201 was updated to RFC 7401, we originally followed the "copy forward the IANA section" approach, but were told by IANA that they preferred that we instead state the updates to be taken on existing registries rather than repeating earlier actions that were already taken to create the registries.

That led to the following revisions (where you can see, when using the IETF rfcdiff tool, in version 14 it is a copy forward while version 15 it updates the existing registries):

https://www.ietf.org/archive/id/draft-ietf-hip-rfc5201-bis-14.txt
https://www.ietf.org/archive/id/draft-ietf-hip-rfc5201-bis-15.txt

- Tom

---

From: "Ben Campbell" <[email-masked]>
Date: Fri, 08 Jul 2016 11:34:24 -0500

On 8 Jul 2016, at 10:53, Tom Henderson wrote:

> I was probably the person suggesting the current writeup, based on my 
> previous interaction with IANA regarding RFC 7401 publication.
>
> Before making any IANA section changes, I would like to ask for 
> further clarification, because it seems to me that the guidance being 
> given now conflicts with instructions we received from IANA when 
> revising RFC 5201 to become RFC 7401.
>
> When RFC 5201 was updated to RFC 7401, we originally followed the 
> "copy forward the IANA section" approach, but were told by IANA that 
> they preferred that we instead state the updates to be taken on 
> existing registries rather than repeating earlier actions that were 
> already taken to create the registries.

In my opinion, you need both. The text needs to make it clear what 
actions IANA needs to take _now_. But it also needs to fully document 
any registries/registrations so that other readers can find it, keeping 
in mind that an obsoleted RFC is, well, obsolete. Note that this is 
usually at least somewhat different from simply copying the old text 
forward. This is especially true when updating the reference for a 
registry or registration to point to the bis document; this only makes 
sense if the bis draft actually describes that registry or registration.

I think it's perfectly reasonable to say something of the form of 
"RFCXXXX, obsoleted by this document, made these requests of IANA: 
<old-stuff>. This document mades these additional requests: <new-stuff>"

>
> That led to the following revisions (where you can see, when using the 
> IETF rfcdiff tool, in version 14 it is a copy forward while version 15 
> it updates the existing registries):
>

---

From: Julien Laganier <[email-masked]>
Date: Thu, 14 Jul 2016 18:17:03 -0700

Hi Ben & Alexey,

Thanks for clarifying. We've discussed your suggestion with Terry
Manderson from IANA and have agreed on proceeding as follows:

RFCXXXX, obsoleted by this document, made the following IANA
allocation in <insert registry name>: <describe existing allocations>.
IANA is requested to replace references to [RFCXXXX] by references to
this document in the the <insert existing registry name> registry.

This document also requests IANA to make these additional <describe
new allocation> in <insert existing or new registry>".

If this is okay with you both I will proceed with updating
draft-ietf-hip-rfc520{3,4,5}-bis accordingly.

Best,

--julien

On Fri, Jul 8, 2016 at 9:34 AM, Ben Campbell <[email-masked]> wrote:
>> Before making any IANA section changes, I would like to ask for further
>> clarification, because it seems to me that the guidance being given now
>> conflicts with instructions we received from IANA when revising RFC 5201 to
>> become RFC 7401.
>>
>> When RFC 5201 was updated to RFC 7401, we originally followed the "copy
>> forward the IANA section" approach, but were told by IANA that they
>> preferred that we instead state the updates to be taken on existing
>> registries rather than repeating earlier actions that were already taken to
>> create the registries.
>
>
> In my opinion, you need both. The text needs to make it clear what actions
> IANA needs to take _now_. But it also needs to fully document any
> registries/registrations so that other readers can find it, keeping in mind
> that an obsoleted RFC is, well, obsolete. Note that this is usually at least
> somewhat different from simply copying the old text forward. This is
> especially true when updating the reference for a registry or registration
> to point to the bis document; this only makes sense if the bis draft
> actually describes that registry or registration.
>
> I think it's perfectly reasonable to say something of the form of "RFCXXXX,
> obsoleted by this document, made these requests of IANA: <old-stuff>. This
> document mades these additional requests: <new-stuff>"
>
>
>>
>> IETF rfcdiff tool, in version 14 it is a copy forward while version 15 it
>> updates the existing registries):
>>

---

From: Terry Manderson <[email-masked]>
Date: Fri, 15 Jul 2016 02:07:00 +0000

Just to clarify I am NOT from IANA. I do work at ICANN but my role here is as INT area AD. 

- Gorilla typing on iPhone. 

> On 15 Jul 2016, at 09:17, Julien Laganier <[email-masked]> wrote:
> 
> Hi Ben & Alexey,
> 
> _______________________________________________
> Hipsec mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/hipsec

---

From: Julien Laganier <[email-masked]>
Date: Fri, 15 Jul 2016 02:12:24 +0000 (UTC)

My mistake, sorry for the confusion and thanks for clarifying. 
Best,

--julien

On Thu, Jul 14, 2016 at 7:07 PM -0700, "Terry Manderson" <[email-masked]> wrote:

> On 15 Jul 2016, at 09:17, Julien Laganier  wrote:
> 
> Hi Ben & Alexey,
> 
> allocation in : .
> this document in the the  registry.
> 
> This document also requests IANA to make these additional  new allocation> in ".
> 
>> On Fri, Jul 8, 2016 at 9:34 AM, Ben Campbell  wrote:
>>>> On Wed, Jul 6, 2016 at 11:31 AM, Alexey Melnikov 
>>>> wrote:
>>>>> 
>> obsoleted by this document, made these requests of IANA: . This
>> document mades these additional requests: "
>> 
>> 
>>>

---

From: Alexey Melnikov <[email-masked]>
Date: Fri, 15 Jul 2016 07:53:00 +0100

Hi Julien,

> On 15 Jul 2016, at 02:17, Julien Laganier <[email-masked]> wrote:
> 
> Hi Ben & Alexey,
> 

... and the allocation policy.

> draft-ietf-hip-rfc520{3,4,5}-bis accordingly.

Sounds good to me.

Thank you,
Alexey

---

From: Ben Campbell <[email-masked]>
Date: Fri, 15 Jul 2016 09:17:41 +0200

> On Jul 15, 2016, at 8:53 AM, Alexey Melnikov <[email-masked]> wrote:
> 
> Hi Julien,
> 

Yes, that too.

>> draft-ietf-hip-rfc520{3,4,5}-bis accordingly.

Me, too.

Thanks!

Ben